package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class GoblinMixOrderListVo implements Serializable, Cloneable {

    @ApiModelProperty(value = " 商城订单")
    private List<GoblinAppOrderListVo> goblinOrder;
    @ApiModelProperty(value = " 数字藏品订单")
    private List<GoblinNftOrderDetailsVo> nftOrder;


    private static final GoblinMixOrderListVo obj = new GoblinMixOrderListVo();

    public static GoblinMixOrderListVo getNew() {
        try {
            return (GoblinMixOrderListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinMixOrderListVo();
    }

}
